This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1287747 - #3 0x000000340e483d2d in malloc_printerr (ptr=<optimized out>, str=0x340e5880fd "free(): invalid pointer",
#3 0x000000340e483d2d in malloc_printerr (ptr=<optimized out>, str=0x340e588...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: alpine (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joshua Daniel Franklin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 10:17 EST by Paul Wouters
Modified: 2016-07-19 14:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:33:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2015-12-02 10:17:24 EST
Description of problem:

some emails, when I hit "reply", causes alpine to crash:

(gdb) bt
#0  0x000000340e4349c8 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
#1  0x000000340e43665a in __GI_abort () at abort.c:89
#2  0x000000340e477a92 in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x340e58a7e0 "*** Error in `%s': %s: 0x%s ***\n")
    at ../sysdeps/posix/libc_fatal.c:175
#3  0x000000340e483d2d in malloc_printerr (ptr=<optimized out>, str=0x340e5880fd "free(): invalid pointer", action=<optimized out>)
    at malloc.c:4976
#4  _int_free (have_lock=0, p=<optimized out>, av=<optimized out>) at malloc.c:3843
#5  __GI___libc_free (mem=<optimized out>) at malloc.c:2953
#6  0x00000000004f51db in ldelnewline () at line.c:600
#7  0x00000000004f5421 in ldelete (n=n@entry=1, preserve=0x0) at line.c:437
#8  0x00000000004f85c6 in forwdel (f=f@entry=0, n=n@entry=1) at random.c:228
#9  0x00000000004f60e9 in remove_directions_mark () at pico.c:120
#10 0x00000000004f79ca in pico (pm=0x7fffffff7270) at pico.c:212
#11 0x00000000004c57a0 in pine_send (outgoing=<optimized out>, body=body@entry=0x7fffffffa950, editor_title=<optimized out>, 
    role=role@entry=0x0, fcc_arg=0xe6ae90 "", fcc_arg@entry=0xd9d6a0 "hfh", reply=reply@entry=0x7fffffffa9d0, redraft_pos=0x0, 
    lcc_arg=0x0, custom=<optimized out>, flags=0) at send.c:3092
#12 0x00000000004a27d7 in reply (pine_state=pine_state@entry=0xd0d030, role_arg=role_arg@entry=0x0) at reply.c:774
#13 0x000000000046a754 in cmd_reply (state=0xd0d030, msgmap=0xd7f0e0, aopt=<optimized out>) at mailcmd.c:2326
#14 0x000000000047daa5 in process_cmd (state=state@entry=0xd0d030, stream=stream@entry=0xd337e0, msgmap=msgmap@entry=0xd7f0e0, 
    command=command@entry=705, in_index=<optimized out>, force_mailchk=force_mailchk@entry=0x7fffffffbf04) at mailcmd.c:683
#15 0x0000000000485d90 in index_lister (state=state@entry=0xd0d030, cntxt=<optimized out>, folder=<optimized out>, 
    folder@entry=0xd0d13d "INBOX", stream=0xd337e0, msgmap=0xd7f0e0) at mailindx.c:1140
#16 0x0000000000486a8b in index_index_screen (state=state@entry=0xd0d030) at mailindx.c:263
---Type <return> to continue, or q <return> to quit---
#17 0x0000000000486bb8 in mail_index_screen (state=0xd0d030) at mailindx.c:250
#18 0x0000000000409ab5 in main (argc=<optimized out>, argv=<optimized out>) at alpine.c:1363
(gdb)
Comment 1 Eduardo Chappa 2016-01-31 16:30:21 EST
(In reply to Paul Wouters from comment #0)
> Description of problem:
> 
> some emails, when I hit "reply", causes alpine to crash:

Try version 2.20.10 and check if the problem is gone. Thank you.

-- 
Eduardo
Comment 2 Fedora End Of Life 2016-07-19 14:33:23 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.